Last Comment Bug 305184 - Make nsIXFormsModelElement::getInstanceDocument raise DOMException
: Make nsIXFormsModelElement::getInstanceDocument raise DOMException
Status: RESOLVED FIXED
: fixed1.8.0.4, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/slice7.ht...
Depends on:
Blocks: 326372 326373 332853
  Show dependency treegraph
 
Reported: 2005-08-19 02:28 PDT by Allan Beaufour
Modified: 2016-07-15 14:46 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch that reports an error (1.72 KB, patch)
2005-08-19 02:47 PDT, Allan Beaufour
no flags Details | Diff | Splinter Review
Patch (3.40 KB, patch)
2006-04-03 08:17 PDT, Allan Beaufour
aaronr: review+
bugs: review+
Details | Diff | Splinter Review

Description Allan Beaufour 2005-08-19 02:28:46 PDT
Currently we return NS_ERROR_FAILURE from
nsXFormsModelElement::GetInstanceDocument(), but it should actually be a
DOMException per the spec. The "raises(DOMException)" is commented out in the
IDL, probably because the exact type of exception is unknown?

Which NS_ERROR_DOM_* should we return?
Comment 1 Allan Beaufour 2005-08-19 02:47:37 PDT
Created attachment 193143 [details] [diff] [review]
Patch that reports an error

While we're messing with the function, how about reporting an error to the
console?
Comment 2 Allan Beaufour 2006-04-03 08:17:25 PDT
Created attachment 217029 [details] [diff] [review]
Patch

Returning DOM_NOT_FOUND error, and report errors.
Comment 3 Allan Beaufour 2006-04-04 01:10:56 PDT
Fixed on trunk

Note You need to log in before you can comment on or make changes to this bug.